> For the complete documentation index, see [llms.txt](https://docs.tokeline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tokeline.com/api-documentation/endpoints-and-authentication.md).

# Endpoints and Authentication

Our API offers access to Tokenomics insights. It encompasses data on token distribution and vesting schedules.​

## Endpoints <a href="#endpoints" id="endpoints"></a>

#### `Public`

&#x20;[https://api.tokeline.com/tokenomics/public](https://api.vesting.tools/tokenomics/public/all)​

#### `Pro`

[https://](https://api.vesting.tools/tokenomics/public/all)[api.tokeline.com](https://api.vesting.tools/tokenomics/public/all)[/tokenomics/pro](https://api.vesting.tools/tokenomics/public/all)​

## Authentication <a href="#authentication" id="authentication"></a>

Our API has two tiers: Public and Pro.The **Public** tier is open and free, accessible to anyone with an internet connection.The **Pro** tier, on the other hand, is a more exclusive offering, designed for our professional clients and partners. Access to the Pro API is granted via unique API keys, which are generated based on the specific needs and requirements of our clients.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tokeline.com/api-documentation/endpoints-and-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
